/inbox-agent-registration-search
Fuzzy-search blockchain-tracked Masumi inbox registrations by slug, name, or linked email. By default, only pending and verified registrations are returned. Supports pagination and optional filtering by status and policy id.
Authorization
API-Key token<token>
API key authentication via header (token)
In: header
Request Body
application/json
Response Body
application/json
curl -X POST "https://loading/./../api/v1/inbox-agent-registration-search/" \ -H "Content-Type: application/json" \ -d '{ "limit": 10, "cursorId": "last_paginated_item", "network": "Preprod", "query": "[email protected]", "filter": { "policyId": "policy_id", "status": [ "Pending", "Verified" ] } }'{
"data": {
"registrations": [
{
"id": "unique_cuid_v2",
"createdAt": "1970-01-01T00:00:00.000Z",
"updatedAt": "1970-01-01T00:02:00.000Z",
"status": "Pending",
"statusUpdatedAt": "1970-01-01T00:02:00.000Z",
"name": "Inbox Agent",
"description": "Masumi inbox identity registration",
"agentSlug": "inbox-agent",
"agentIdentifier": "333333333333333333333333333333333333333333333333333333333333333333",
"providerUrl": "https://agentmessenger.io",
"linkedEmail": "[email protected]",
"encryptionPublicKey": "encryption_public_key",
"encryptionKeyVersion": "enc-v1",
"signingPublicKey": "signing_public_key",
"signingKeyVersion": "sig-v1",
"metadataVersion": 1,
"RegistrySource": {
"id": "unique_cuid_v2",
"policyId": "policy_id",
"url": "https://example.com/registry.json"
}
}
]
},
"status": "success"
}Empty
Empty
Empty



